# Load distro-specific variables
- include_vars: "{{ ansible_distribution }}.yml"
  tags: always

- block:
  - block:
    - include_tasks: install_unbound.yml
    - include_tasks: configure_unbound_snmpd.yml
    when: unbound == true

  - name: nameserver | unbound | disable systemd-resolved
    include_tasks: disable-systemd-resolved.yml
    when: bind == true or unbound == true

  - block:
    - include_tasks: install_bind.yml
    - include_tasks: configure_bind_snmpd.yml
    when: bind == true

  rescue:
    - set_fact: task_failed=true